#!/bin/sh

# mycollection.sh
# Copyright (C) 2005  Andreas Ruidisch (andreas at ruidisch dot de)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

######## Personal Section
# Set your name here
var_name_owner=$(echo "Ernst Mustermann");
# Set your email here
var_email=$(echo "ernst@mustermann.de");
# Subject for E-Mail Note : %20 for space !
var_email_subject=$(echo "Your MP3%20collection");
######### Document Section
var_doc_header=$(echo "My Collection");
##### Enable Create Request
var_create_request_in_html=$(echo "true");

######### Color Section # Init values
# Global background
var_html_global_bg_color=$(echo "#BECCE9");
#Global Text Color
var_html_global_text_color=$(echo "black");
# Background-color Html -> Gerneral Information -> header
var_html_gi=$(echo "gray");
# Text-color Html -> Gerneral Information -> body
var_html_gi_body=$(echo "lightGray");
# Text-color Html -> Gerneral Information
var_html_gi_text=$(echo "black");

# Background-color Html -> Artists
var_html_artists=$(echo "#6D7CFF");
# Background-color Html -> Album
var_html_album=$(echo "#7EBCE9");








var_date=$(date);
var_script_name=$(echo "mycollection.sh");
var_script_version=$(echo "0.3");
var_last_first_char="";

# update v.0.1 and to 0.3
function update_to_v03()
{

# v 0.1 to 0.2
if(test -e ~/.collectionscript.amarok)
then
# change config-dir
rm ~/.collectionscript.amarok;
kdialog --msgbox "Removed V.0.1 Config-file: ~/.collectionscript.amarok ";
fi ;

var_update0203=$(less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i html:create-request: | wc -l | less ) ;
# v 0.2 to 0.3
if [ "$var_update0203" == "0"  ]
then

kdialog --msgbox "Config-file : Update to 0.3";
echo "html:create-request:$var_create_request_in_html" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
fi;

#exit 0;

  }

# Write config file
function write_config_file()
{
# echo "Debug : write config file";
if(test -e ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok)
then #Yes
  rm ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
fi;
# write personal informations
  echo "email:$var_email" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
  echo "name:$var_name_owner" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
  echo "doc:header:$var_doc_header" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
  echo "html:create-request:$var_create_request_in_html" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
# write colors
  echo "color:global:backgound:$var_html_global_bg_color" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
  echo "color:global:text:$var_html_global_text_color" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
  echo "color:general-informations:backgound:header:$var_html_gi" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
  echo "color:general-informationsl:backgound:body:$var_html_gi_body" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
  echo "color:artist:backgound:$var_html_artists" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
  echo "color:album:backgound:$var_html_album" >> ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok ;
}


# read Config file
function read_config_file()
{
# echo "Debug : read config file"
# Read name
var_name_owner=$(less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i name: | cut -c 6- );
# echo "Debug $var_name_owner" ;
# Read mail
var_email=$(less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i email: | cut -c 7- );
# Read
var_doc_header=$( less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i doc:header: | cut -c 12- );
# echo "Debug $var_email" ;
# Read Request
var_create_request_in_html=$( less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i html:create-request: | cut -c 21- );
# Read colors
#echo "Debug : $var_create_request_in_html" ;

var_html_global_bg_color=$( less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i color:global:backgound: | cut -c 24- );
#echo " color:global:backgound: : $var_html_global_bg_color";

var_html_global_text_color=$( less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i color:global:text: | cut -c 19- );
#  echo "color:global:text: : $var_html_global_text_color";

var_html_gi=$( less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i color:general-informations:backgound:header: | cut -c 45- );
#  echo "color:general-informations:backgound:header: : $var_html_gi" ;

var_html_gi_body=$( less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i color:general-informationsl:backgound:body: | cut -c 44- );
#  echo "color:general-informationsl:backgound:body: : $var_html_gi_body";

var_html_artists=$( less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i color:artist:backgound: | cut -c 24- );
#  echo "color:artist:backgound: : $var_html_artists" ;

var_html_album=$( less ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok | grep -i color:album:backgound: | cut -c 23- );
#  echo "color:album:backgound: : $var_html_album" ;

}

# Get new email
function get_new_email()
{
var_email=$( kdialog --inputbox "Tell me your new email, $var_name_owner " "$var_email") ;
write_config_file;
}
# Get new name
function get_new_name()
{
var_name_owner=$( kdialog --inputbox "Tell me your new name, $var_name_owner " "$var_name_owner") ;
write_config_file;
}
function get_new_headline()
{
var_doc_header=$( kdialog --inputbox "Set new headline" "$var_doc_header") ;
write_config_file;
}

function report_a_bug()
{
kmail --composer -c "andreas@ruidisch.de" -s "Bug-report : $var_script_name ( $var_script_version )";

}

function check_html2ps()
{
if(test -s /bin/html2ps)
then
#kdialog --inputbox "exists" ;
echo "";
elif(test -s /usr/bin/html2ps )
then
echo "";
#kdialog --inputbox "exists in" ;
elif(test -s /usr/local/bin/html2ps )
then
echo "";
#kdialog --inputbox "exists in" ;
elif(test -s ~/bin/html2ps )
then
echo "";
#kdialog --inputbox "exists in" ;
else
kdialog --error "You have to install html2ps" ;
exit 0;
fi;
}

function check_ps2pdf()
{
if(test -s /bin/ps2pdf)
then
#kdialog --inputbox "exists" ;
echo "";
elif(test -s /usr/bin/ps2pdf )
then
echo "";
#kdialog --inputbox "exists in" ;
elif(test -s /usr/local/bin/ps2pdf )
then
echo "";
#kdialog --inputbox "exists in" ;
elif(test -s ~/bin/ps2pdf )
then
echo "";
#kdialog --inputbox "exists in" ;
else
kdialog --error "You have to install ps2pdf" ;
exit 0;
fi;
}

################################################ MAIN
##
update_to_v03 ;

######## Read vars from File: #############

# Config-File exists ?
if(test -e ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok)
then #Yes

read_config_file;

else # no, create it
var_name_owner=$( kdialog --inputbox "Tell me your name, Stranger" "Lonely Cowboy") ;
var_email=$( kdialog --inputbox "Tell me your Email, $var_name_owner" "$var_name_owner@grazing_land.com") ;
write_config_file;
fi;



#exit 0;

##################### Make your coice
var_dialog_1=$(kdialog --combobox "Welcome to $var_script_name (Version : $var_script_version)" "make Collection.pdf" "make Collection.ps" "make Collection.html" "make Collection.html.zip" "make Collection.html.gz" "Change name ($var_name_owner)" "Change email ($var_email)" "Set new headline" "Toggle : Request in html ($var_create_request_in_html)" "Remove Config-file" "Report a bug");

# echo "DEBUG: >$var_dialog_1>";

# cancel pressed
if [ "$var_dialog_1" == "" ]
then
  exit 0;
fi;

# change  Name
if [ "$var_dialog_1" == "Report a bug" ]
then
 report_a_bug;
exit 0;
fi;

# change  Name
if [ "$var_dialog_1" == "Toggle : Request in html ($var_create_request_in_html)" ]
then
if [ "$var_create_request_in_html" == "true" ]
then
var_create_request_in_html=$(echo "false") ;
else
var_create_request_in_html=$(echo "true") ;
fi;
write_config_file ;
kdialog --msgbox "Toggled: $var_create_request_in_html" ;
exit 0;
fi;

if [ "$var_dialog_1" == "Change name ($var_name_owner)" ]
then
 get_new_name;
exit 0;
fi;


# change email
if [ "$var_dialog_1" == "Change email ($var_email)" ]
then
get_new_email;
exit 0;
fi;

# change headline
if [ "$var_dialog_1" == "Set new headline" ]
then
get_new_headline;
exit 0;
fi;

# remove Configfile
if [ "$var_dialog_1" == "Remove Config-file" ]
then

if(test -e ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok)
then
  kdialog --msgbox "Config-file removed !";
  rm ~/.kde/share/apps/amarok/scripts-data/collectionscript.amarok;
fi;
exit 0;
fi;

if [ "$var_dialog_1" == "make Collection.pdf" ]
then
check_html2ps ;
check_ps2pdf ;
var_bool_create_html=$(echo "true");
var_bool_create_pdf=$(echo "true");
var_bool_create_ps=$(echo "false");
var_bool_zip_html=$(echo "false");
var_bool_gz_html=$(echo "false");

var_create_request_in_html=$(echo "false");
#echo "Yes";
#exit 0;
fi;

if [ "$var_dialog_1" == "make Collection.ps" ]
then
check_html2ps ;
var_bool_create_html=$(echo "true");
var_bool_create_pdf=$(echo "false");
var_bool_create_ps=$(echo "true");
var_bool_zip_html=$(echo "false");
var_bool_gz_html=$(echo "false");
var_create_request_in_html=$(echo "false");
#echo "Yes";
#exit 0;
fi;


if [ "$var_dialog_1" == "make Collection.html" ]
then
var_bool_create_html=$(echo "true");
var_bool_zip_html=$(echo "false");
var_bool_gz_html=$(echo "false");
var_bool_create_pdf=$(echo "false");
var_bool_create_pdf=$(echo "false");
#echo "Yes";
#exit 0;
fi;

if [ "$var_dialog_1" == "make Collection.html.zip" ]
then
var_bool_create_html=$(echo "true");
var_bool_zip_html=$(echo "true");
var_bool_gz_html=$(echo "false");
var_bool_create_pdf=$(echo "false");
var_bool_create_pdf=$(echo "false");

#echo "Yes";
#exit 0;
fi;


if [ "$var_dialog_1" == "make Collection.html.gz" ]
then
var_bool_create_html=$(echo "true");
var_bool_zip_html=$(echo "false");
var_bool_gz_html=$(echo "true");
var_bool_create_pdf=$(echo "false");
var_bool_create_pdf=$(echo "false");

#echo "Yes";

fi;

declare -i var_nr_of_artists=$( dcop amarok collection totalArtists);
declare -i var_nr_of_albums=$( dcop amarok collection totalAlbums );
declare -i var_nr_of_tracks=$( dcop amarok collection totalTracks );
#echo "debug : Nr of artists : $var_nr_of_artists";

#### Get all Artist
var_all_names=$(dcop amarok collection query "select name  from artist order by name");

# echo  "$var_all_names" | less | sed -n 2p ;
declare -i var_i=1;
#declare -i var_nr_artists_int = $var_nr_of_artists ;




# Create HTML-Output
if [ "$var_bool_create_html" == "true" ]
then
rm -f ~/.mp3liste.ht ;
echo "<html>" >> ~/.mp3liste.ht;
# Header
echo "<head> <title>  $var_doc_header </title> <meta name=\"GENERATOR\" content=\"$var_script_name ( $var_script_version ) \"><meta name=\"AUTHOR\" content=\"$var_name_owner\"></head>" >> ~/.mp3liste.ht;



  echo "<body  text=\"$var_html_global_text_color\" style=\"background-color:$var_html_global_bg_color ; color:$var_html_global_text_color \" >" >> ~/.mp3liste.ht;
    echo "<div align=\"center\">" >> ~/.mp3liste.ht;
      echo "<p><strong> $var_doc_header </strong> <br> owner :   <a href=\"mailto:$var_email?subject=$var_email_subject&amp;body=testitbaby\" >$var_name_owner </a>  </p>" >> ~/.mp3liste.ht;
      echo "<p> Created : $var_date</p>" >> ~/.mp3liste.ht;
    echo "</div>" >> ~/.mp3liste.ht;

    echo "<TABLE width=\"60%\" border=\"1\" align=\"center\" bgcolor=\"$var_html_gi\"><tbody>">> ~/.mp3liste.ht;
      echo "<TR align=\"center\">" >> ~/.mp3liste.ht;
        echo "<TD>  General informations </TD>" >> ~/.mp3liste.ht;
      echo "</TR>">> ~/.mp3liste.ht;
      echo "<TR align=\"left\">" >> ~/.mp3liste.ht;
        echo "<TD bgcolor="$var_html_gi_body"> Total Number of Artists : $var_nr_of_artists </TD>" >> ~/.mp3liste.ht;
      echo "</TR>">> ~/.mp3liste.ht;
      echo "<TR align=\"left\">" >> ~/.mp3liste.ht;
        echo "<TD bgcolor="$var_html_gi_body"> Total Number of Albums : $var_nr_of_albums </TD>" >> ~/.mp3liste.ht;
      echo "</TR>">> ~/.mp3liste.ht;
      echo "<TR align=\"left\">" >> ~/.mp3liste.ht;
        echo "<TD bgcolor="$var_html_gi_body"> Total Number of Tracks : $var_nr_of_tracks </TD>" >> ~/.mp3liste.ht;
      echo "</TR>">> ~/.mp3liste.ht;
    echo "</tbody></TABLE>" >> ~/.mp3liste.ht;


fi;




####### Print artists


# Create Progressbar
mydcopRef=`kdialog --progressbar "Status : " $var_nr_of_artists` ;
dcop $mydcopRef showCancelButton true ;


#echo "Debug : $mydcopRef";
# dcop $mydcopRef setLabel "neu"; 
#exit 0;
 

echo "<form name=\"myform\" >" >> ~/.mp3liste.ht;


#while [ $var_i -le 10 ];
while [ $var_i -le $var_nr_of_artists ];
do

#  echo "------ $var_i ---------";
  var_i=var_i+1 ;
  #echo $var_i"p";
  var_i_plus_p=$( echo $var_i"p" | less );
  # Debug : echo "$var_i_plus_p";
    # Select next artist
    var_next_artist=$( echo "$var_all_names"  |sed -n  $var_i_plus_p| less );
#    echo "Artist : $var_next_artist";
canceled=$( dcop $mydcopRef wasCancelled );
#echo "$canceled";

if [ "$canceled" == "true" ]
then
dcop $mydcopRef close ;
rm ~/.mp3liste.ht;
exit 0;
fi;

    dcop $mydcopRef setLabel "Status : $var_next_artist"; 
    dcop $mydcopRef setProgress $var_i;
    # artists id:
    var_artist_id=$( dcop amarok collection query " select id  from artist  where name=\"$var_next_artist\"  " );
    #echo "Debug : ID of artist : $var_artist_id" ;

    var_albums_by_artist=$( dcop amarok collection query "select distinct a.name  from tags t inner join album a on a.id = t.album  where t.artist=$var_artist_id " );

    declare -i var_nr_of_albums=$( echo "$var_albums_by_artist" | less | wc -l );
 #   echo "Nr of albums :$var_nr_of_albums";
    var_albums_by_artist=$(echo "$var_albums_by_artist" | less | sort);
#    echo "$var_albums_by_artist";
var_unknown_album=$(echo "false");

if [ "$var_bool_create_html" == "true" ]
then

# äöüß
var_next_artist=$( echo $var_next_artist | sed 's/ä/\&auml;/g'  ) ;
var_next_artist=$( echo $var_next_artist | sed 's/ü/\&uuml;/g'  ) ;
var_next_artist=$( echo $var_next_artist | sed 's/ö/\&ouml;/g'  ) ;
var_next_artist=$( echo $var_next_artist | sed 's/Ä/\&Auml;/g'  ) ;
var_next_artist=$( echo $var_next_artist | sed 's/Ü/\&Uuml;/g'  ) ;
var_next_artist=$( echo $var_next_artist | sed 's/Ö/\&Ouml;/g'  ) ;
var_next_artist=$( echo $var_next_artist | sed 's/ü/\&szlig;/g'  ) ;

    echo "<BR>" >> ~/.mp3liste.ht;
    echo "<TABLE width=\"100%\" border=\"1\" align=\"center\" bgcolor=\"$var_html_artists\"><tbody>">> ~/.mp3liste.ht;
#### Print artist 
     echo "<TR align=\"center\">" >> ~/.mp3liste.ht;

 #    echo "<TD>$var_next_artist ( Nr. of albums :  $var_nr_of_albums ) </TD>" >> ~/.mp3liste.ht;
     echo "<TD> $var_next_artist </TD>" >> ~/.mp3liste.ht;
     echo "</TR>">> ~/.mp3liste.ht;

#### Print albums
      echo "<TR align=\"left\" bgcolor=\"$var_html_album\"> <TD><ul>" >> ~/.mp3liste.ht;
      declare -i var_j=1;
      while [ $var_j -le $var_nr_of_albums ];
      do
      var_j_plus_p=$( echo $var_j"p" | less );
      var_next_album=$( echo "$var_albums_by_artist"  |sed -n  $var_j_plus_p| less );
      # äöüß
        var_next_album=$( echo $var_next_album | sed 's/ä/\&auml;/g'  ) ;
        var_next_album=$( echo $var_next_album | sed 's/ü/\&uuml;/g'  ) ;
        var_next_album=$( echo $var_next_album | sed 's/ö/\&ouml;/g'  ) ;
        var_next_album=$( echo $var_next_album | sed 's/Ä/\&Auml;/g'  ) ;
        var_next_album=$( echo $var_next_album | sed 's/Ü/\&Uuml;/g'  ) ;
        var_next_album=$( echo $var_next_album | sed 's/Ö/\&Ouml;/g'  ) ;
        var_next_album=$( echo $var_next_album | sed 's/ü/\&szlig;/g'  ) ;

if [ "$var_next_album" == "" ]
then
var_unknown_album=$(echo "true");
# kdialog --error "Unknown $var_next_artist";
else
if [ "$var_create_request_in_html" == "true" ]
then

# echo " <input type=\"checkbox\" name=\"album\" value=\"salami\"> $var_next_album <br> ">> ~/.mp3liste.ht;
echo "<li>   $var_next_album  <input type=\"checkbox\" name=\"b\" value=\"&#091;$var_next_artist&#093; $var_next_album\" >   </li>" >> ~/.mp3liste.ht;

else
echo "<li> $var_next_album </li>" >> ~/.mp3liste.ht;
fi;


fi;

      var_j=var_j+1 ;
      done
if [ "$var_unknown_album" == "true" ]
then
if [ "$var_create_request_in_html" == "true" ]
then

echo "<li> ...and some not assigned songs  <input type=\"checkbox\" name=\"b\" value=\"&#091;$var_next_artist&#093; non-album tracks\">  </li>" >> ~/.mp3liste.ht;
else
echo "<li> ...and some not assigned songs  </li>" >> ~/.mp3liste.ht;

fi;

fi;

      echo "</ul></TD></TR>">> ~/.mp3liste.ht;
    echo "</tbody></TABLE>" >> ~/.mp3liste.ht;
    echo "<BR>" >> ~/.mp3liste.ht;

fi;

done
dcop $mydcopRef close ;


echo "</form>" >> ~/.mp3liste.ht;


if [ "$var_bool_create_html" == "true" ]
then
 

###
if [ "$var_create_request_in_html" == "true" ] 
then

echo " <script type=\"text/javascript\"> "  >> ~/.mp3liste.ht;
echo "var req=\"\";" >> ~/.mp3liste.ht;
# echo " window.alert(\"Alert\") ; "  >> ~/.mp3liste.ht;
echo " function clear_request ()  { "  >> ~/.mp3liste.ht;
 #echo " window.alert( \"Cleared\" ) ; " >> ~/.mp3liste.ht; 
 echo "req=\"\";" >> ~/.mp3liste.ht;

echo "window.document.request.elements[0].innerHTML=req; " >> ~/.mp3liste.ht; 

 echo "window.document.request.reset(); " >> ~/.mp3liste.ht; 
### reset checkboxes
echo "window.document.myform.reset(); " >> ~/.mp3liste.ht; 
### reset checkboxes


echo "}">> ~/.mp3liste.ht;


echo " function getit ()  { "  >> ~/.mp3liste.ht;
 echo "req=\"\";" >> ~/.mp3liste.ht;
echo "window.document.request.reset(); " >> ~/.mp3liste.ht; 
# echo " window.alert(document.myform.checkbox[0].value ) ; "  >> ~/.mp3liste.ht;
echo "for (i=0;i<window.document.myform.elements.length ;i++){" >> ~/.mp3liste.ht;

echo "if ( window.document.myform.elements[i].checked ) {" >> ~/.mp3liste.ht;
# echo " window.alert( window.document.myform.elements[i].value ) ; " >> ~/.mp3liste.ht;
echo "req = req+window.document.myform.elements[i].value+\"\n\" ;" >> ~/.mp3liste.ht;
echo "}" >> ~/.mp3liste.ht;

echo "}">> ~/.mp3liste.ht;
#echo " window.alert( req ) ; " >> ~/.mp3liste.ht;
echo "window.document.request.elements[0].innerHTML=req; " >> ~/.mp3liste.ht; 
echo "window.document.request.reset(); " >> ~/.mp3liste.ht; 
echo " } "  >> ~/.mp3liste.ht;


#echo " getit(); "  >> ~/.mp3liste.ht;


echo " </script> "  >> ~/.mp3liste.ht;



echo " <button type=\"button\" onclick=\"getit()\" title=\"OK\" >" >> ~/.mp3liste.ht;
echo " Create new request </button> " >> ~/.mp3liste.ht;
echo " <button type=\"button\" onclick=\"clear_request()\" title=\"clear\" >" >> ~/.mp3liste.ht;
echo " Clear request </button> " >> ~/.mp3liste.ht;

###

echo "<form action="mailto:$var_email" method="post" name=\"request\" >">> ~/.mp3liste.ht ;
echo "<div align=\"center\">" >> ~/.mp3liste.ht;
echo "<textarea   name=\"user_eingabe\" cols=\"80\" rows=\"10\" readonly>" >> ~/.mp3liste.ht ;

echo "</textarea>" >> ~/.mp3liste.ht ;
#echo "<br>" >> ~/.mp3liste.ht ;
#echo "<input type=\"Submit\" value=\"Send\">" >> ~/.mp3liste.ht ;
echo "</form>" >> ~/.mp3liste.ht;
fi;

 echo "<p> created by : $var_script_name (Version : $var_script_version) </p>" >> ~/.mp3liste.ht;

echo "</div>" >> ~/.mp3liste.ht;

  echo "</body>" >> ~/.mp3liste.ht
echo "</html>" >> ~/.mp3liste.ht
# Crate zip
if [ "$var_bool_zip_html" == "true" ]
  then
  mv ~/.mp3liste.ht ~/Collection.html
  cd ~/;
  zip -r -q -j  Collection.html.zip Collection.html;
#  zip -q Collection.html.zip mp3liste.html;
  rm Collection.html;

elif [ "$var_bool_gz_html" == "true" ]
  then
  mv ~/.mp3liste.ht ~/Collection.html;
  cd ~/;
  gzip Collection.html;
  #echo "gz";
elif [ "$var_bool_create_ps" == "true" ]
  then
# Create Progressbar
mydcopRef=`kdialog --progressbar "Create ps" 1` ;
dcop $mydcopRef showCancelButton false ;
  rm -f ~/Collection.ps;
  html2ps ~/.mp3liste.ht > ~/Collection.ps;
dcop $mydcopRef setProgress 1 ;
dcop $mydcopRef close ;
  #echo "ps created";
elif [ "$var_bool_create_pdf" == "true" ]
  then
mydcopRef=`kdialog --progressbar "Create pdf" 2` ;
dcop $mydcopRef showCancelButton false ;

  rm -f ~/Collection.ps;

  rm -f ~/Collection.pdf;

  html2ps ~/.mp3liste.ht > ~/.Collection.ps;
dcop $mydcopRef setProgress 1 ;
  cd ~/;
  ps2pdf ~/.Collection.ps;
dcop $mydcopRef setProgress 2 ;
  mv ~/.Collection.pdf ~/Collection.pdf ;
dcop $mydcopRef close ;

  #echo "ps created";
else
mv ~/.mp3liste.ht ~/Collection.html;
fi;

fi

if ( kdialog --yesno "Send it with kmail ?" ) 
then

if("$var_bool_zip_html" == "true")
then
kmail --composer -s "My mp3-collection" --attach ~/Collection.html.zip;
elif("$var_bool_gz_html" == "true")
then
kmail --composer -s "My mp3-collection" --attach ~/Collection.html.gz;
elif("$var_bool_create_pdf" = "true")
then
kmail --composer -s "My mp3-collection" --attach ~/Collection.pdf ;
elif("$var_bool_create_ps" = "true")
then
kmail --composer -s "My mp3-collection" --attach ~/Collection.ps ;
elif("$var_bool_create_html" = "true")
then
kmail --composer -s "My mp3-collection" --attach ~/Collection.html ;

fi;

exit 0;
fi ;



exit 0;


#echo "ENDE" 
# dcop amarok collection query "select distinct a.name  from tags t inner join album a on a.id = t.album  where t.artist=788"
